<?php

$base_directory = "uploaded-files";
$target_directory = "";

if (isset($_REQUEST["directory"])) {
  $target_directory = $base_directory . "/" . $_REQUEST["directory"] . "/";
} else {
  $target_directory = $base_directory . "/";
}

// create the subfolder
mkdir($target_directory, 0777, true);

// be sure that the folder has the right permissions
chmod($target_directory, 0777);

if (!file_exists($target_directory) || !is_writable($target_directory)) {
  error_log("Problem with the upload directory: " . $target_directory);
  header("HTTP/1.0 500 Internal Server Error");
  exit;
}

// save the thumbnail
$error = $_FILES["thumbfile"]["error"];

if ($error == UPLOAD_ERR_OK) {

  $path = $target_directory . $_FILES["thumbfile"]["name"];
	
  if(move_uploaded_file($_FILES["thumbfile"]["tmp_name"], $path)) {
    chmod($path, 0666);
  } else {
    error_log("File: " . $path . " cannot be saved.");		
  }	
} else {
  error_log("An error has occurred with the thumbnail: " . $error);		
}

// save the source file
$error = $_FILES["sourcefile"]["error"];

if ($error == UPLOAD_ERR_OK) {

  $path = $target_directory . $_FILES["sourcefile"]["name"];
	
  if(move_uploaded_file($_FILES["sourcefile"]["tmp_name"], $path)) {
    chmod($path, 0666);
  } else {
    error_log("File: " . $path . " cannot be saved.");
    header("HTTP/1.0 500 Internal Server Error");
    exit;
  }
	
} else {

  error_log("An error has occurred with the source file: " . $error);
  header("HTTP/1.0 500 Internal Server Error");
  exit;
}
?>
